;;;Place a "hiding" object over a rectangular area (on layer ?-AREA-HIDE). ;;; ;;; AUTHOR: HENRY C. FRANCIS ;;; 425 N. ASHE ST. ;;; SOUTHERN PINES, NC 28387 ;;; All rights reserved without prejudice. ;;; Copyright: 1-26-96 ;;; Edited: 2-7-2002 ;;; (DEFUN c:hdarea (/) (IF upoint nil (LOAD "upoint" "File UPOINT.LSP not loaded.") ) ;_ end of if (IF c:mklayr nil (LOAD "mklayr" "File MKLAYR.LSP not loaded.") ) ;_ end of if (c:svlayr) (IF dimscl nil (LOAD "dimscl" "File DIMSCL.LSP not loaded.") ) ;_ end of if (dimscl) (IF gvpno nil (LOAD "gvpno" "File GVPNO.LSP not loaded.") ) ;_ end of if (gvpno) (IF (TBLOBJNAME "block" "hdarea") nil (PROGN (COMMAND "-insert" "hdarea") (COMMAND) ) ;_ end of progn ) ;_ end of IF (IF (OR (EQ (GETVAR "tilemode") 1) (AND (EQ (GETVAR "tilemode") 0) (> (GETVAR "cvport") 1)) ) ;_ end of or (SETQ as_67 0) (SETQ as_67 1) ) ;_ end of if (IF mjrg nil (SETQ mjrg "C") ) ;_ end of if (SETQ llt "-" modf (if PROD "AREA-HIDE" "HIDE") prod (if PROD PROD "AREA") colra nil colri nil colr "1" ) ;_ end of setq (PRINC "\nSelect Object(s) NOT to hide under this box: ") (PRINC) (SETQ nottohide_ss (SSGET)) (SETQ bxp1 (upoint 1 "" "First point" nil nil)) (SETQ bxp2 (upoint 1 "" "Rotation angle and length of base side" nil bxp1 ) ;_ end of upoint ;_ end of upoint ) ;_ end of setq (SETQ bxp3 (upoint 1 "" "Length of left side (relative to base side)" nil bxp1 ) ;_ end of upoint ;_ end of upoint ;_ end of upoint ) ;_ end of setq (SETQ bxp1 (LIST (CAR bxp1)(CADR bxp1)0) bxp2 (LIST (CAR bxp2)(CADR bxp2)0) bxp3 (LIST (CAR bxp3)(CADR bxp3)0) box_angle (ANGLE bxp1 bxp2) box_x_scale (DISTANCE bxp1 bxp2) box_y_scale (DISTANCE bxp1 bxp3) ) ;_ end of setq (c:mklayr) (SETQ hdarealst (LIST (CONS 0 "INSERT") (CONS 2 "hdarea") (CONS 10 bxp1) (CONS 41 box_x_scale) (CONS 42 box_y_scale) (CONS 43 1.0) (CONS 50 box_angle) (CONS 67 as_67) ;;; (CONS 70 1);enable this to MINSERT block ;;; (CONS 71 1);enable this to MINSERT block ) ;_ end of LIST ) ;_ end of SETQ (ENTMAKE hdarealst) (COMMAND "draworder" (ENTLAST) "" "f") (COMMAND "draworder" nottohide_ss "" "f") (COMMAND ".move" nottohide_ss "" "0,0,0" "") ;;;Setq debugpts T to enable placement of text at the points "bxp#" (IF debugpts (IF pttxt nil (LOAD "pttxt" "\nFile PTXT.LSP not loaded!") ) ;_ end of IF ) ;_ end of if (IF (AND debugpts pttxt) (PROGN (IF fthk nil (SETQ fthk 5.0) ) ;_ end of IF (pttxt "hdarea_" "bxp" 1 5) ) ;_ end of PROGN ) ;_ end of if ;;;Use the above to graphically identify and debug the defined points. (c:rslayr) (PRINC) ) ;_ end of defun ;;;*************************************************************************** ;|«Visual LISP© Format Options» (72 2 40 2 T "end of " 60 9 2 1 0 T T nil T) ;*** DO NOT add text below the comment! ***|;